Sync Lipsync 3
集成
模型 id
sync-lipsync/v3
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/v3?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/sync-lipsync/v3?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/sync-lipsync/v3", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-CN/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "sync-lipsync/v3",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
}
通过 Doitong API 调用 Sync Lipsync 3 模型(sync-lipsync/v3)。智能体文档:https://doitong.com/zh-CN/developers/models/sync-lipsync/v3.md
POST https://api.doitong.com/v1/run/sync-lipsync/v3?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.com/v1/quote/sync-lipsync/v3,可在运行前返回确切价格。
与示例类似的文件: $1.334 1,334 API 积分 运行前会测量你的文件 在此页面运行
你的新 API 密钥。 它只会在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保管:切勿将其放入在浏览器中运行的代码里。
构建请求
控件根据模型架构生成。修改控件时,代码和价格会同步更新。
POST
/run/sync-lipsync/v3?wait=20
报价 → $1.334
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/v3?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/sync-lipsync/v3?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/sync-lipsync/v3", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "sync-lipsync/v3",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
},
"wait_seconds": 20
}
}
}
关于 Sync Lipsync 3
Sync Labs 的 lipsync-3 替换视频中人物的嘴部动作,使其匹配新的声音轨道,用于 配音、广告本地化以及后期修正台词。当音频和视频时长不一致时,可选择裁剪、循环、往返、 填充静音或重新映射。
参数
发送规范名称或原生名称之一,不要同时发送两者。 规范名称
名称类型
默认值允许值
描述
video_url必填
video
类型url · video
指向输入视频的 URL。
audio_url必填
audio
类型url · audio
输入音频位置,以 URL 表示。
sync_mode可选
类型enum
默认值cut_off
cut_offloopbouncesilenceremap
用于处理音频和视频时长差异的唇形同步模式。
options可选
类型object
在此配置其他 Sync.so 生成行为;提供的 options.sync_mode 优先于顶层 sync_mode 值。
options.sync_mode可选
类型enum
cut_offloopbouncesilenceremap
顶层 sync_mode 的覆盖值,指定输入音频和视频时长不同时的处理方式。
options.model_mode可选
类型enum
lipsfaceheadlipsyncemotiontalking_head
编辑区域选择,主要用于 react-1,指定模型修改的区域。
options.prompt可选
类型enum
happysadangrydisgustedsurprisedneutral
主要由 react-1 使用的情绪指导,用于引导生成。
options.temperature可选
类型number | null
0 – 1
表现力设置,对原生管理此功能的 sync-3 无效。对于使用此设置的模型,0 表示最低唇形同步表现力,1 表示最高。
options.active_speaker_detection可选
类型object
用于识别包含多人的视频中的当前说话人的设置。
options.active_speaker_detection.auto_detect可选
类型boolean | null
自动识别当前说话人,并对该人物应用生成。
options.active_speaker_detection.v3可选
类型boolean | null
使用 v3 当前说话人检测。
options.active_speaker_detection.use_v2可选
类型boolean | null
用于 v2 当前说话人检测的已弃用设置。
options.active_speaker_detection.frame_number可选
类型integer | null
≥ 0
用于手动选择说话人坐标的帧索引。
options.active_speaker_detection.coordinates可选
类型integer[]
2 – 2 items
在 frame_number 中以 [x, y] 表示的说话人面部参考点。
options.active_speaker_detection.bounding_boxes可选
类型array[]
每帧检测到的人脸边界框,以 [x1, y1, x2, y2] 表示。
options.active_speaker_detection.bounding_boxes_url可选
类型string | null
提供每帧边界框的 JSON 文件 URL。
options.active_speaker_detection.face_image可选
类型string | null
以 Base64 编码的人脸图像,用于手动选择说话人。
options.occlusion_detection_enabled可选
类型boolean | null
遮挡检测开关;由于 sync-3 会自动检测,因此对其无效;对于其他模型,该开关控制生成是否包含遮挡检测。
必填
规范名称,也可接受
文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "sync-lipsync/v3",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1334,
"usd": "1.334",
"charged": 1334,
"refunded": 0
},
"input": {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
文件由你选择每个 outputs[].url 都是我们存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
所有模型的结构一致图像、视频和音频的字段均为 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- video
- object {url, content_type, file_name, file_size}模型生成的视频。
其他 Sync 3 变体
更多模型:口型同步与数字人
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh-CN/developers/models/sync-lipsync/v3.md. 所有模型和指南: https://doitong.com/developers/llms.txt